Create a volume discount
Creates a new volume discount for a shop. Volume discounts automatically
apply tiered pricing when a customer orders above a unit threshold.
shop_id is required in the body.
POST
/volume_discountsAuthorization
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsonshop_idintegerrequiredID of the shop to create the volume discount in
namestringrequireddiscount_typestringDiscount type.
cumulative_modestringOmit for non-cumulative
Allowed:
within_productglobalapply_on_tier_start_onlybooleantiersobject[]requiredShow propertiesHide properties
Array of
objectfromintegerUnits in cart at which this tier starts applying
valueintegerDiscount value for this tier
Responses
201
Volume discount created
_linksHalLinksidintegernamestringdiscount_typestringapply_modestringrepeating_tierbooleantiersobjectKeyed by tier boundary — not an array.
cumulativebooleancumulative_modestringavailable_forstringcreated_atstring<date-time>updated_atstring<date-time>422
Validation error